Get Rlhf State
curl --request GET \
--url https://api.heybee.app/v1/rlhf/experiments/{experiment_id}/state \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.heybee.app/v1/rlhf/experiments/{experiment_id}/state"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.heybee.app/v1/rlhf/experiments/{experiment_id}/state', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"axes": [
"<string>"
],
"experiment_id": "<string>",
"min_decisive_pairs_per_axis": 123,
"round_count": 123,
"current_round": {
"id": "<string>",
"round_index": 123,
"state": "<string>",
"checkpoint_candidate_id": "<string>",
"checkpoint_key": "<string>",
"error": "<string>",
"opened_at": "<string>",
"parent_round_id": "<string>",
"trainable_at": "<string>",
"trainable_thresholds": {},
"trained_at": "<string>",
"training_at": "<string>"
},
"latest_checkpoint": {
"candidate_id": "<string>",
"candidate_key": "<string>"
},
"objective": "<string>",
"per_axis": [
{
"axis_key": "<string>",
"decisive": 123,
"met": true,
"threshold": 123
}
],
"trainable": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}RLHF
Get Rlhf State
Campaign state for the trainer to poll: current round, whether it is trainable, latest checkpoint.
GET
/
v1
/
rlhf
/
experiments
/
{experiment_id}
/
state
Get Rlhf State
Authorizations
BearerAuthApiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful Response
What the trainer polls: current round, whether it is trainable, latest checkpoint.
One round of the loop: the checkpoint that generated its cohort + state.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes

